Page MenuHomePhabricator

Allow playing VP9 natively on browsers supporting it
Closed, ResolvedPublic

Description

Bleeding edge (Not sure if its still bleeding edge) firefox and chrome support VP9/Opus webm files. If we have such a file (or in some future where we transcode to that format), we want those browsers to play it via <video> tag.

Probably needs to make something like webmNativePlayer, but for VP9 webm's.


Version: unspecified
Severity: enhancement

Details

Reference
bz60272
Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterAdd support for WebM VP9/Opus playback and transcodes

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:51 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz60272.
Bawolff created this task.Jan 21 2014, 1:05 AM
brion added a comment.Jan 26 2014, 9:54 PM

Quick question: is there a new file suffix or would these also be labeled as just '.webm'?

If we need to produce both VP8 and VP9 versions of WebM output, do we need to change our directory structure or file naming scheme to include codec versioning?

No new suffix, but we also include other transcoding info in filename (eg 480p, 720p) so i think we could just add to that part of filename.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 14 2015, 11:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 4:26 PM

Change 229397 had a related patch set uploaded (by Brion VIBBER):
Add support for WebM VP9/Opus playback and transcodes

https://gerrit.wikimedia.org/r/229397

Change 229397 merged by jenkins-bot:
Add support for WebM VP9/Opus playback and transcodes

https://gerrit.wikimedia.org/r/229397

brion closed this task as Resolved.Aug 28 2015, 11:56 PM
brion claimed this task.

This change has gone out and is working in production.

Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 4:28 PM